1. Payment integration
English
  • English
  • įŽ€äŊ“中文
  • TLY Pay API
    • Getting started
    • HTTP conventions and payment status
    • Webhook verification and recovery
    • Payment integration
      • Create a Payment
        POST
      • Get Payment status
        GET
      • Cancel a Payment
        POST
      • Disable Checkout access
        DELETE
      • Check pricing configuration
        GET
      • Configure a Webhook endpoint
        POST
      • Verify a Webhook signing Secret
        POST
  • Schemas
    • CreatePayment
    • CreatedPayment
    • ErrorResponse
    • BootstrapWebhook
    • MerchantPaymentView
    • MerchantStoreSourceView
    • MerchantStoreView
    • OneTimeSecretResponse
    • SourceAmount
    • MerchantSourceAmountView
    • VerifyWebhookBinding
    • WebhookBindingView
  1. Payment integration

Verify a Webhook signing Secret

POST
/v1/webhook-endpoints/{webhook_endpoint_id}/verify
Requires API Key scope webhook:bootstrap.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Body Params application/jsonRequired

Examples

Responses

đŸŸĸ200OK
application/json
Endpoint and Secret match this API Key
Headers

Bodyapplication/json

🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠404Record Not Found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v1/webhook-endpoints//verify' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "secret": "string"
}'
Response Response Example
200 - Example 1
{
    "resource_id": "string",
    "secret_kind": "string",
    "status": "string"
}
Previous
Configure a Webhook endpoint
Next
CreatePayment
Built with